Method: queryProducts

v1beta.queryProducts provides a list of all possible products which can be used to filter database resources.

HTTP request

GET https://databasecenter.googleapis.com/v1beta:queryProducts

The URL uses gRPC Transcoding syntax.

Query parameters

Parameters
parent

string

Required. Parent can be a project, a folder, or an organization.

The allowed values are:

  • projects/{PROJECT_ID}/locations/{LOCATION} (e.g.,"projects/foo-bar/locations/us-central1")
  • projects/{PROJECT_NUMBER}/locations/{LOCATION} (e.g.,"projects/12345678/locations/us-central1")
  • folders/{FOLDER_NUMBER}/locations/{LOCATION} (e.g.,"folders/1234567/locations/us-central1")
  • organizations/{ORGANIZATION_NUMBER}/locations/{LOCATION} (e.g.,"organizations/123456/locations/us-central1")
  • projects/{PROJECT_ID} (e.g., "projects/foo-bar")
  • projects/{PROJECT_NUMBER} (e.g., "projects/12345678")
  • folders/{FOLDER_NUMBER} (e.g., "folders/1234567")
  • organizations/{ORGANIZATION_NUMBER} (e.g., "organizations/123456")
pageSize

integer

Optional. If unspecified, at most 50 products will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.

pageToken

string

Optional. A page token, received from a previous ListLocations call. Provide this to retrieve the subsequent page. All other parameters except page size should match the call that provided the page page token.

Request body

The request body must be empty.

Response body

QueryProductsResponse represents the response containing a list of products.

If successful, the response body contains data with the following structure:

JSON representation
{
  "products": [
    {
      object (Product)
    }
  ],
  "nextPageToken": string,
  "unreachable": [
    string
  ]
}
Fields
products[]

object (Product)

List of database products returned.

nextPageToken

string

A token that can be sent as pageToken to retrieve the next page. If this field is omitted, there are no subsequent pages

unreachable[]

string

Unordered list. List of unreachable regions from where data could not be retrieved.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the parent resource:

  • databasecenter.products.list

For more information, see the IAM documentation.